stages:
  - test
  - package
  - deploy

# format-check verifies that our tests follow guide lines, are well named and
# formatted.
format-check:
  stage: test
  script:
    - ./build-aux/check-consistency
    - ./build-aux/tidy-tests
    - if ! git diff --quiet; echo "ATS is not tidied. Please run ./build-aux/tidy-tests locally and verify. Thanks."; exit 1; fi
